org.apache.cassandra.db

## Class IndexExpression

- java.lang.Object
- - org.apache.cassandra.db.IndexExpression

    public class IndexExpression
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `IndexExpression.Operator`

### Field Summary

Fields
`java.nio.ByteBuffer` `column`
`IndexExpression.Operator` `operator`
`java.nio.ByteBuffer` `value`

### Constructor Summary

Constructors
Constructor and Description
`IndexExpression(java.nio.ByteBuffer column, IndexExpression.Operator operator, java.nio.ByteBuffer value)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### column

    public final java.nio.ByteBuffer column

#### operator

    public final IndexExpression.Operator operator

#### value

    public final java.nio.ByteBuffer value

### Constructor Detail

#### IndexExpression

    public IndexExpression(java.nio.ByteBuffer column,
                   IndexExpression.Operator operator,
                   java.nio.ByteBuffer value)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`